# Uses of Interface
com.sun.mirror.type.TypeVariable

Packages that use TypeVariable
Package
Description
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of TypeVariable in com.sun.mirror.util

Methods in com.sun.mirror.util that return TypeVariable
Modifier and Type
Method
Description
`TypeVariable`
Types.`getTypeVariable(TypeParameterDeclaration tparam)`
Returns the type variable declared by a type parameter.
Methods in com.sun.mirror.util with parameters of type TypeVariable
Modifier and Type
Method
Description
`void`
SimpleTypeVisitor.`visitTypeVariable(TypeVariable t)`
Visits a type variable.
`void`
TypeVisitor.`visitTypeVariable(TypeVariable t)`
Visits a type variable.